Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.dynamicui
Interface AbstractDynamicUICtrl

All Superinterfaces:
  DynamicUIInfo

All Known Subinterfaces:
  DynamicUICtrl, ExtendedDynamicUICtrl

    public interface AbstractDynamicUICtrl

extends DynamicUIInfo

The `DynamicUICtrl` provides access to those functions of dynamic ui management that alter the current state.

Since:
  8.0.0.1
See Also:
  `DynamicUIManagementFactoryService`

Method Summary
`ObjectID` | `addPage(ObjectID pageDefinitionID, Localized localeInformation, PropertyValue[] properties)` Adds a new page that is a copy of the page definition.
`ObjectID` | `addPage(ObjectID pageDefinitionID, ObjectID pageID, Localized localeInformation, PropertyValue[] properties)` Adds a new page that is a copy of the page definition.
`ObjectID` | `addSharedPage(ObjectID pageDefinitionID, Localized localeInformation, PropertyValue[] properties)` Adds a shared page that is a copy of the page definition.
`ObjectID` | `removePage(ObjectID pageID)` Removes a page.

Methods inherited from interface com.ibm.portal.dynamicui.DynamicUIInfo
`isPageClosable, isPortletClosable`

Method Detail

### addPage

    ObjectID addPage(ObjectID pageDefinitionID,
                     Localized localeInformation,
                     PropertyValue[] properties)
                     throws DynamicUIManagementException

  Adds a new page that is a copy of the page definition. The layout and content of the page is defined by the page definition. Changes to the page definition will not influence the new page.

  The new page is not displayed by default. If the page should be displayed, the portlet should generate a url to the page using its object id and set it as an redirect on the response.

  Note: If properties should be passed, the user must be redirected to that page at the end of this action phase. Otherwise the properties are not delivered.

  Parameters:
    `pageDefinitionID` - The object id of the page definition. It is not allowed to pass `null` for this parameter.
    `localeInformation` - The titles and descriptions that should be set for the new page. For those locales that are supported by the base page but that are not part of this set, the titles and descriptions of the base page are used. This parameter can be `null` . If `null` is passed, the values defined for the page defintion are used.
    `properties` - The properties that should be delivered to all portlets on the page. This parameter can be `null` .
  Returns:
    ObjectID The object id of the launched page.
  Throws:
    `ResourceLookupException` - The page referenced by the pageDefinitionID cannot be found.
    `AddUIElementException` - A problem occured and the page could not be added.
    `MissingAccessRightsException` - The user has not sufficient access rights for the page definition.
    `DynamicUIManagementException`
  See Also:
    `RedirectURLGenerator`

### addPage

    ObjectID addPage(ObjectID pageDefinitionID,
                     ObjectID pageID,
                     Localized localeInformation,
                     PropertyValue[] properties)
                     throws DynamicUIManagementException

  Adds a new page that is a copy of the page definition. The layout and content of the page is defined by the page definition. Changes to the page definition will not influence the new page.

  When the pageID parameter is set, it is checked whether the page referenced by this object id does exist or not. If yes, the page id is just returned. Otherwise, a new page is added and its object id returned. This method can also be used to initially create a page by passing `null` for the pageID parameter.

  Note: Passed properties are also delivered in the case where an existing page is reused.

  Note: If properties should be passed, the user must be redirected to that page at the end of this action phase. Otherwise the properties are not delivered.

  The new page is not displayed by default. If the page should be displayed, the portlet should generate a url to the page using its object id and set it as an redirect on the response.

  Parameters:
    `pageDefinitionID` - The object id of the page definition. It is not allowed to pass `null` for this parameter.
    `pageID` - The object id of the page that should be used in case that it does exist or `null` if a new page should be added.
    `localeInformation` - The titles and descriptions that should be set for the new page. For those locales that are supported by the base page but that are not part of this set, the titles and descriptions of the base page are used. This parameter can be `null` . If `null` is passed, the values defined for the page defintion are used.
    `properties` - The properties that should be delivered to all portlets on the launched page. This parameter can be `null` .
  Returns:
    ObjectID The object id of the launched page.
  Throws:
    `ResourceLookupException` - The page referenced by the pageDefinitionID cannot be found.
    `AddUIElementException` - A problem occured and the page could not be added.
    `MissingAccessRightsException` - The user has not sufficient access rights for the page definition.
    `DynamicUIManagementException`
  See Also:
    `RedirectURLGenerator`

### addSharedPage

    ObjectID addSharedPage(ObjectID pageDefinitionID,
                           Localized localeInformation,
                           PropertyValue[] properties)
                           throws DynamicUIManagementException

  Adds a shared page that is a copy of the page definition. Within a dynamic ui management configuration there can be exactly one shared page for a given page definition. When there already exists a shared page for the passed pageDefinitionID the object id of that page is is returned. If not, a new shared page is created and its object id is returned. The layout and content of the page is defined by the page definition. Changes to the page definition will not influence the new page.

  Note: Passed properties are also delivered in the case where an existing page is reused.

  Note: If properties should be passed, the user must be redirected to that page at the end of this action phase. Otherwise the properties are not delivered.

  The new page is not displayed by default. If the page should be displayed, the portlet should generate a url to the page using its object id and set it as an redirect on the response.

  Parameters:
    `pageDefinitionID` - The object id of the page definition. It is not allowed to pass `null` for this parameter.
    `localeInformation` - The titles and descriptions that should be set for the new page. For those locales that are supported by the base page but that are not part of this set, the titles and descriptions of the base page are used. This parameter can be `null` . If `null` is passed, the values defined for the page defintion are used.
    `properties` - The properties that should be delivered to all portlets on the launched page. This parameter can be `null` .
  Returns:
    ObjectID The object id of the shared page.
  Throws:
    `ResourceLookupException` - The page referenced by the pageDefinitionID cannot be found.
    `AddUIElementException` - A problem occured and the page could not be added.
    `MissingAccessRightsException` - The user has not sufficient access rights for the page definition.
    `DynamicUIManagementException`
  See Also:
    `RedirectURLGenerator`

### removePage

    ObjectID removePage(ObjectID pageID)
                        throws DynamicUIManagementException

  Removes a page.

  Parameters:
    `pageID` - The id of the page that should be removed. It is not allowed to pass `null` for this parameter.
  Returns:
    ObjectID The object id of another available page, to which the user can be redirected.
  Throws:
    `ResourceLookupException` - The page referenced by the object id cannot be found.
    `RemoveUIElementException` - An error occured and the element could not be removed.
    `DynamicUIManagementException`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD